Modify

Opened 6 weeks ago

Closed 6 weeks ago

Last modified 6 weeks ago

#18514 closed enhancement (fixed)

hide all changeset action and dialog in "normal" view mode

Reported by: skyper Owned by: skyper
Priority: normal Milestone: 20.01
Component: Core Version:
Keywords: template_report changeset expert mode Cc:

Description

Right now, changeset manager and changeset toggle dialog are visible but close changeset action is hidden.

Think we could hide all three.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-01-02 22:34:59 +0100 (Thu, 02 Jan 2020)
Revision:15628
Build-Date:2020-01-02 21:52:31
URL:https://josm.openstreetmap.de/svn/trunk

Attachments (2)

josm_windows_menu_screenshot.png (29.8 KB) - added by skyper 6 weeks ago.
windows menu screenshot
josm_main_menu_screenshot.png (17.4 KB) - added by skyper 6 weeks ago.
main menu screenshot

Download all attachments as: .zip

Change History (25)

comment:1 Changed 6 weeks ago by Don-vip

Milestone: 20.01
Owner: changed from team to Don-vip
Status: newassigned

comment:2 Changed 6 weeks ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 15633/josm:

fix #18514 - make all changeset actions and dialogs only accessible in expert mode

comment:3 Changed 6 weeks ago by skyper

Resolution: fixed
Status: closedreopened

changeset list toggle dialog is still visible for normal user.

comment:4 Changed 6 weeks ago by Don-vip

Even with a fresh profile? I made a lot of tests and the dialog button was correctly hidden in normal mode.

comment:5 Changed 6 weeks ago by Don-vip

Owner: changed from Don-vip to skyper
Status: reopenedneedinfo

comment:6 in reply to:  4 ; Changed 6 weeks ago by skyper

Replying to Don-vip:

Even with a fresh profile?

Yes, I just did recheck once again, just to make sure I did not use "tested".

I use

rm -r /tmp/.josm_test/;java -Djosm.home=/tmp/.josm_test -jar ~/Downloads/josm-latest.jar

for checking.

comment:7 Changed 6 weeks ago by Klumbumbus

@skyper: could you please document the changes on wiki:Help/ExpertMode and the special pages if available? Thanks.

comment:8 in reply to:  7 Changed 6 weeks ago by skyper

By the way, I noticed that the "window" menu should be disabled on startup in normal view mode but it is not.

Replying to Klumbumbus:

@skyper: could you please document the changes on wiki:Help/ExpertMode and the special pages if available? Thanks.

Yes, once this ticket is fixed and the next tested is released.
I hope I do not forget, feel free to remind me.

comment:9 Changed 6 weeks ago by Klumbumbus

No need to wait for the next stable release. The wiki is outdated in so many places, it doesn't hurt if it is once ahead for a short time ;)

comment:10 in reply to:  6 Changed 6 weeks ago by Don-vip

Replying to skyper:

Yes, I just did recheck once again

I did too and it works fine. Please post your status report, plus a screenshot showing the problem.

Changed 6 weeks ago by skyper

windows menu screenshot

Changed 6 weeks ago by skyper

main menu screenshot

comment:11 Changed 6 weeks ago by skyper

Replying to Don-vip:

Replying to skyper:

Yes, I just did recheck once again

I did too and it works fine. Please post your status report, plus a screenshot showing the problem.

Here you go:

main menu screenshot windows menu screenshot
console:

rm: cannot remove '/tmp/.josm_test/': No such file or directory
2020-01-06 22:10:31.878 INFO: Log level is at INFO (INFO, 800)
2020-01-06 22:10:32.010 INFO: Missing preference file '/tmp/.josm_test/preferences.xml'. Creating a default preference file.
2020-01-06 22:10:39.139 INFO: GET https://josm.openstreetmap.de/wiki/StartupPage -> HTTP_1 200
2020-01-06 22:10:41.224 INFO: GET https://api.openstreetmap.org/api/capabilities -> HTTP_1 200 (434 B)
2020-01-06 22:10:41.225 INFO: OK
Warning: Nashorn engine is planned to be removed from a future JDK release
2020-01-06 22:10:42.422 INFO: GET https://josm.openstreetmap.de/maps -> HTTP_1 200
Warning: Nashorn engine is planned to be removed from a future JDK release
2020-01-06 22:10:47.770 WARNING: No configuration settings found.  Using hardcoded default values for all pools.
2020-01-06 22:10:48.167 WARNING: Region [TMS_BLOCK_v2] Resetting cache
2020-01-06 22:10:49.066 INFO: Changeset updater active (checks every 60 minutes if open changesets have been closed)

status report:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-01-05 23:29:48 +0100 (Sun, 05 Jan 2020)
Revision:15644
Build-Date:2020-01-06 02:30:57
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15644 en) Linux Debian GNU/Linux 10 (buster)
Java version: 11.0.5+10-post-Debian-1deb10u1, Debian, OpenJDK 64-Bit Server VM
Java package: openjdk-11-jre:amd64-11.0.5+10-1~deb10u1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-22
libcommons-compress-java: libcommons-compress-java:all-1.18-2
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:all-20181227-1
VM arguments: [-Djosm.home=<josm.pref>]

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- W: Region [TMS_BLOCK_v2] Resetting cache

cache.capabilities1637351842=1578345041
cache.motd.html=1578345039
cache.motd.html.java=11.0.5
cache.motd.html.lang=En:
cache.motd.html.version=15644
draw.rawgps.lines=-1
imagery.entries=[{name=Bing aerial imagery, id=Bing, type=bing, url=https://www.bing.com/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Bing_Maps, max-zoom=22, min-zoom=1, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgBAMAAACBVGfHAAAALVBMVEUMhIT///8jj4/Z7Ozl8vJUqal/vr6+3t6Tycmo1NQxl5dutbXz+flBn5/M5eX9gIKtAAAAjUlEQVR4XmMgD6gFoQkoC7eiCQgKK6AJiNBEQGkBmoBW5S40LROFZyugCMQICloEIQuoCwoKCicgCbAJCgoKGiEJMCWjCTAwpaAJsBaiCnC1CCILCCslCwoKijQgVKQLCgoKliLcAQbWCqgCFgin6wkKCgqevIDwHO8cQUHxAAYkwFoonMSAArS7GCgAAKZlGg8L4DPrAAAAAElFTkSuQmCC, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, noTileChecksums={"MD5":["c13269481c73de6e18589f9fbc3bdf7e"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri World Imagery, id=EsriWorldImagery, type=tms, url=https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, max-zoom=22, cookies=, icon=data:image/png;base64,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, noTileHeaders={"Etag":["\"10i954m13i2\""]}, noTileChecksums={"MD5":["f27d9de7f80c13501f470595e327aa6d"]}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri World Imagery (Clarity) Beta, id=EsriWorldImageryClarity, type=tms, url=https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, permission-reference-url=https://github.com/osmlab/editor-layer-index/pull/358#issuecomment-361416110, max-zoom=22, cookies=, icon=data:image/png;base64,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, description=Esri archive imagery that may be clearer and more accurate than the default layer., customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Mapbox Satellite, id=Mapbox, type=tms, url=https://{switch:a,b,c,d}.tiles.mapbox.com/v4/mapbox.satellite/{zoom}/{x}/{y}.jpg?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJjaml5MjVyb3MwMWV0M3hxYmUzdGdwbzE4In0.q548FjhsSJzvXsGlPsFxAQ, attribution-text=Terms & Feedback, attribution-url=https://www.mapbox.com/about/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Vertical_Aerial_Photographs#DigitalGlobe_.2F_MapBox, max-zoom=22, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAMAAABEpIrGAAAAhFBMVEVHcEz///9CZPtphPtFZ/uMof1KavvO0uJifvtQcPuLn/1ng/ve4euQnv36+vtIaPtXdfvt7vTr7PG2v+jl5/BaePuhrv1devugrOC7wNdxi/uap96uuOXKzeDc3/O9xuqfrfzY2+ilsOLEy+xEZfuQntuwttG+w9mpsM2Zp/x3j/t0jfvA+Y0kAAAAAXRSTlMAQObYZgAAASRJREFUeF6Fk+eSwyAMhC2Be+9Ob9fv/d/viBQgDLnx98cedi2JNQTPhHkqZSrC4CVZjYYo8+SzRAdZunqCHsmznuILUk/3HX79fPmMN7vE7XK2n5yAuTVI8KRm/qYATSd4L7R/rddH0i4VObjGPY9IGxYgfvbchRNTBq2PFQkxzvzCk6r8teFKy+0WcSHHjlbDIEdGtne5pIbzXlk2tCxMSFtQ9DMSvxeAwyOsN2RK6lD1jfLGALpCbQwfwPQYtWBnkKZFDEw1TkDkjxYCGZNi39HjhIQw2xzAoXhUDk1QnaMfG2RUkrVuYakWXuSoMzsk015H1GT2d7/HxTAUh69J8Mbt7w6+8V9K58j5JGuHdv3Yr18cy7Ry9RRZ5F1ej1D41/8P1QwO53k2L5oAAAAASUVORK5CYII=, noTileHeaders={"ETag":["\"067736a547cafe90014b4e59b6510abe\"|\"ee1f6802b0234046b553cbbc672ac7d9\"|\"9f5a2f1d7cc131e58befc2052c71c827\""]}, noTileChecksums={"MD5":["811bb5f56a0e672f674a2a820d340c61"]}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=OpenStreetMap (Standard Black & White), id=osm-mapnik-black_and_white, type=tms, url=https://tiles.wmflabs.org/bw-mapnik/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://www.openstreetmap.org/, max-zoom=18, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAQAAABKfvVzAAADJElEQVR4Xo2SS2hcZRSAv/+//70zkzszeU+okVqaaGLjI0akTRGl3ehGdCEiutO6c6PgwoWCSMUXdRFaCurGTRGVUtqNraKmTDA1KtIQzat3TKczSW0mznTuzNznL1zoxo1+q3PgwPnOA8cufVU647y+PnYps6Wq9lbfxvTiqdnzs+/PH7re/bY6nV7tqT5UmanOkUDJcN5w9BW9phcuXDtW/bqy7ejfdVH/qhd0cfXsO9998VN5Xq/qTffaAwACnGl9VvcHePSiaOMidSzWdb+wsRG0CLmhc8E9r/YcbyNgqZA6w4E6ETksoI3gIofIYCCT3KPD39z49OkjIGHf9aikyWFyE4EgzwoHyJFBoQmxsAmQyH1TAyABrMDCJIvCI2Ibk24kYGCTIwXksbD3P3sYDCjtMV8xhsACJHXK5BjCRBMQ0CbAxUdpQ27Xrp5XYI7oEYgQ+IBHjKBDkOiZSJqESGLSZMYOWrJEPK67NDEtIhpoTAQxMRDSpE4H0AgUSkhkaPmTAaGGJiYWWSxCOmgU0CaEpI9Bmmj1+0AthnvXMwRCEBPSh4ekSh8dBNBFAChSZESD8i9LsXxKr/wRNWWy/XTi2sO3rBGjk2lMUqSTLa3+eHJuzJIwX/bLApOYiE4y/F18xNUkInG3iFjxi5/vVJSU6FMld9NHYLCDxqPKEoqPuUQjubLLNgtsmIcnXB1HCso1qyYJiMmzwSdY9PIww2zRhUEOjYsgJ8zhXtnyFXzT218IscizzHHcROsxdhPzFzdxsBDkGYjW13bcQqhgdCS+s0MWhxPUCTCZIotAspeYCgoPqZve5SKtZSQ0RrwhmyvMUMFF8TjTFPBJ4REyiEaAiN2jP6BBzqjOhMEi7+HQIstzyada9BFqQ9u4eFpphe+wCaAMM9q1HB41POGzixe4H7d18cJAauJgd75JiIkpDOq1y1+SAAa3vXvkrcZ4PFZ7bf3k7Itvsp9hbufBl14+fe7nP8/NfXDi0ee5l25uUUTc8eFnT/42esx+gmEMbiGxGUyO/G+mcnseue+ZycmpDP+PAneb4+lRA2D3f9T+A2BEVdbaZSWbAAAAAElFTkSuQmCC, valid-georeference=true, modTileFeatures=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=osmbasedmap}, {name=OpenStreetMap Carto (Standard), id=standard, type=tms, url=https://{switch:a,b,c}.tile.openstreetmap.org/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://www.openstreetmap.org/, max-zoom=19, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAGb0lEQVR4Xq3MS2xcVx3H8e855z7m3vH1jMdjO43zshIrtpM0SZ3WFEcRVFFKoRWPBYtAHwgWCFUsQN100QeCsqAhCESrirRASdWWIkoUqgKFJm3UZ5o2oW2akrR5uXbi2ON4PPfOfZ17iERW2bCAz1/f3V8/cfDC02UEj4OxKHjdFMUfmUzOlAeXZFZuuVIKN8zi1dPh7Hcn5091G2EOB5b//NplA28/9tAT4bq111jD64ZKHR2VQWPEbULI0aHqZz7NZeLNmSeVMOJu4AfGgNEGLsR/95YuetcRzprcFJvaaVxrpm2mmqfp8FxKSYk8ck+0pt1nykFp0A/k9Tnt/lq3T2dHEOmi2DxSu+EdAAFwcPqp640xe42h26Qa2hqnXsFVHs04pNFuYgvbtOWCmD3aMj2VNaLi1+jwyxgpCKOQRCdMN6ZMd5Bmw1cPfG+5O/7LeX0ECyBppx9Zrn0c6BbNHJNr4qhFYWtsJCWpSFUm3ntxips2bxe+p1BKIJQECpRbkCQ2wu0XzbnIeemvhzYCVNR6JMDm5bdNF9qcwhiKbpvMg2KujZDmUgX1jgqT719gy+iX6QxsPM9F2YqclHbRRpUEXmCRZTGFlZGKxSMbR6+uA0gu863OzLc7cVUZN6jgKI8kicl0ykzjAiW5lGrVAWUwokApSa3UTY/XR2B3UlDgVy1sB8od7tgt2++4AcACOHL+uRW2bW8QQiCxcUoS6XssyBbnF6Y5+8kci8vjlJwqjnQwWpDlgtRYZDpHmxJzWUyk26gOYXxK0g+8G4bXX/snC0DZcmVh9EoQ5DpDSIVJYmIiGvkCurAQpkLU9kkTEEJeCjxbURSCZgTkfVjOApoM6Qtc3109Nj7uWO9M70EbPQT4YMhNjrWQEdHmTPs8SgfUisUgDLoAgcGyEjJtEaeaVlKQ5gVSGYwBhETaEmVJcemQaZ44aRpvyLIEnedGoNHNkNTTeI5DT2kRljeJziVhnKNlE1GaJFfnuRi3SXMDxmA7IUqCI20qdifkxfED+/dlanzb1cYL3BFhsTXPU4Ep0FGKUVALegCb1oLN7FlNpd5HIUNQLYxIsO0EKcByWljuAmXbp7fcIwgVb7xyaNeep3YfUnt272PLjaP1em/lZqmEk4cJQoMKfBxVIcwjlAp47okX6ap3XaoP221CIREyx7La2E6O7/h0eTXK+Bw+8uHrP7znvocXLe6flwCHXj06kab5hJAS6dhQFOgiJ2qXsKLVuHqAgdVD7HrwXibPTKJzFyMMAgECHGXTJTqxE4t3T5xMD7y29+mFRjgpLSUlYJ793T9ORWF0Lk1StCzQNqTTAle30flbzJ/bx6n3Xsa2Fb9/5Eccfu19wnlNFBniWJA3JecbDfa/8y5nJg7bW7ZeuyYKZwyF0QIAkC988Ogzfof6SppapHGZqgNTExPsfngfgaXpqyWk9QF6lwWk7YJlK1fQaTysqk8sE6LwIq4OEMql1DH3/O03PnBHUCk3JMCeA7/q6u1a0ltiNZ1eL719cPrcWR752d+Yn2lx/HSDY40qY2Pb2PapjYxv3YBX1syZ88weP3bp90Omw3PMOxNUe9FTn9gn5uemQqfk5BbAisHBlVo7g7PFx9TdgDMnZvjtzheI51qkWY5xYWxTLxXfJ5IVevIZ6gMDxCYnPjWDXZ0nSiOkEmYqO5l8cGT6FSD6+NhRJMCF1sWV88VkX6f3n/FHd+xl9uwsrTDEOIbPfWEj120eorw0JEzLhGWfop3ixxKrP0CTIQSAEVmhw5/f94uXAANg3b/r+1YrnV1T86ucPDzBrp3PcvHcHGmaUekL+OKtm9m0ailOUEe4FrXyWaKFblM4HmUvElNzF4jTxFiOhRRSJO34JHCOy6RU0i60uepfx07nO+593FycapAkCbX+Kl+/cxvXfXYIU3GjN/Yf2vPPg2/9JVxoNYNqQ+hcilznlKWDcpSwlCWiZrtx/O3Tf+AKClj88I9v/9aD99/aHBkaLlYNDTXuvPubH/3kN3e9vP3bn78HGAP6gSXA6K3fufnOXz+/888vHH3i9O4XH3j1roe+8dDo1pGvAeuAClfa/+aTQH35Yztuenz7l4aPLB9c81O/3H3L5VHFlUACZaAH6AQc/pv1o9cEiwbWbRlev+mrazeOblg3usnj/6nWV2fVyFp71fCa0sDgkOKyq5av4H/xb0Ky8po5hQEuAAAAAElFTkSuQmCC, valid-georeference=true, modTileFeatures=true, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=osmbasedmap}]
imagery.layers.default=[Bing, EsriWorldImagery, EsriWorldImageryClarity, Mapbox, osm-mapnik-black_and_white, standard]
josm.version=15644
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]
mirror.https://josm.openstreetmap.de/maps=[1578345043275, <josm.pref>/cache/mirror_https___josm.openstreetmap.de_maps]
preferences.reset.draw.rawgps.lines=true

comment:12 Changed 6 weeks ago by Don-vip

In 15649/josm:

see #18514 - disable Window menu when empty

comment:13 Changed 6 weeks ago by Don-vip

OK I never understood you were talking of the changeset toggle icon in the window menu, I always assumed you were referring to the icon displayed on the vertical left toolbar.

comment:14 Changed 6 weeks ago by Don-vip

Resolution: fixed
Status: needinfoclosed

In 15650/josm:

fix #18514 - display changeset toggle dialog entry in the window menu only in expert mode

comment:15 Changed 6 weeks ago by Don-vip

Note for future UI tickets: please try to always attach a screenshot. It makes me save a lot of time in ticket understanding.

comment:16 in reply to:  13 ; Changed 6 weeks ago by skyper

Replying to Don-vip:

OK I never understood you were talking of the changeset toggle icon in the window menu, I always assumed you were referring to the icon displayed on the vertical left toolbar.

Yes, sorry, too many places.

BTW: I noticed that the order in the vertical left toolbar differs to the order in the windows menu. I almost did change the wiki from one order to the another. Could we harmonizes this ?

comment:17 in reply to:  16 ; Changed 6 weeks ago by Don-vip

Replying to skyper:

I noticed that the order in the vertical left toolbar differs to the order in the windows menu. I almost did change the wiki from one order to the another. Could we harmonizes this ?

It shouldn't differ I guess. Please open a new ticket with both screenshots + first three blocks of your status report.

comment:18 in reply to:  17 Changed 6 weeks ago by skyper

Replying to Don-vip:

Replying to skyper:

I noticed that the order in the vertical left toolbar differs to the order in the windows menu. I almost did change the wiki from one order to the another. Could we harmonizes this ?

It shouldn't differ I guess. Please open a new ticket with both screenshots + first three blocks of your status report.

See #18526

comment:19 in reply to:  9 ; Changed 6 weeks ago by skyper

Replying to Klumbumbus:

No need to wait for the next stable release. The wiki is outdated in so many places, it doesn't hurt if it is once ahead for a short time ;)

Done

comment:20 in reply to:  19 Changed 6 weeks ago by Klumbumbus

Replying to skyper:

Done

Thanks.

comment:22 Changed 6 weeks ago by Don-vip

In 15655/josm:

see #18514 - cleanup menu groups handling

comment:23 Changed 6 weeks ago by Don-vip

In 15657/josm:

see #18514 - fix unit tests

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain skyper.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.